Docs

Reference

List bots

Bots made by the workspace's accounts: @username, Telegram bot id, the account that owns it, name, about, description, command menu. Tokens are never returned.

View MarkdownThis page is generated from the source code on every release.

Bots made by the workspace's accounts: @username, Telegram bot id, the account that owns it, name, about, description, command menu. Tokens are never returned.

Overview

Name Value
Code bots.list
Scope needed accounts.read
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, agent, viewer
In the app Bots

Input fields

Field Type Required Description
accountId uuid No

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/bots.list \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

Output fields (data)

Field Type Required
bots object[] Yes

Example answer

{
  "data": {
    "bots": [
      {
        "tg_bot_id": "00000000-0000-4000-8000-000000000000",
        "canReveal": true,
        "id": "00000000-0000-4000-8000-000000000000",
        "workspace_id": "00000000-0000-4000-8000-000000000000",
        "account_id": "00000000-0000-4000-8000-000000000000",
        "username": "text",
        "name": "text",
        "about": "text",
        "description": "text",
        "commands": "text",
        "status": "text",
        "token_revision": 1,
        "token_revealed_at": "2026-10-22T12:00:00.000Z",
        "created_by": "text",
        "created_at": "2026-10-22T12:00:00.000Z",
        "updated_at": "2026-10-22T12:00:00.000Z",
        "deleted_at": "2026-10-22T12:00:00.000Z"
      }
    ]
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "bots.list". Tool name when listed: bots_list.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0